| Home | Libraries | People | FAQ | More

##### basic_static_string::rfind (2 of 5 overloads)

Find the last occurrence of a string within the string.

###### Synopsis

    template<
        std::size_t M>
    constexpr size_type
    rfind(
        const basic_static_string< M, CharT, Traits >& str,
        size_type pos = npos) const;

###### Description

Finds the last occurrence of `str` within the string starting before or at the index `pos`.

###### Complexity

Linear.

###### Return Value

The highest index `idx` less than or equal to `pos` where each element of `str` is equal to that of `{begin() + idx, begin() + idx + str.size())` if one exists, and `npos` otherwise.

###### Parameters

Name | Description
--- | ---
`str` | The string to search for.
`pos` | The index to start searching at. The default argument for this parameter is `npos`.